Bug 465750 - Review Request: R-GeneR - R for genes and sequences analysis
Review Request: R-GeneR - R for genes and sequences analysis
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 04:38 EDT by Pierre-YvesChibon
Modified: 2008-11-14 07:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-14 07:52:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2008-10-06 04:38:01 EDT
Spec URL: http://pingou.fedorapeople.org/RPMs/R-GeneR.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-GeneR-2.11.1-1.fc9.src.rpm
Description: 
Package manipulating nucleotidic sequences (Embl, Fasta, GenBank)


PS:
I had to package the version 2.11.1 which is on the devel part of Bioconductor because the version 2.10.0 (on the stable part) did not compile on gcc 4.3.0.
Comment 1 Jason Tibbitts 2008-10-14 23:19:33 EDT
The license seems to be CeCILL v1, which I know from very recent fedora-legal-list discussion has not been reviewed.  Thus this will need to wait for legal review, but I can review the packaging.

I could not download the source from the upstream web site.  Of course, they protect the web site from directory listings and the URL in the spec gives no clues.  Where did you manage to download the tarball?

Other than not being able to download it, I see no problems with shipping the development bits if that's what you're willing to support.

Your %description could use a period at the end.

X can't check upstream source.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license text included in package.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent (barring the two expected R complaints)
* final provides and requires are sane:
   R-GeneR = 2.11.1-1.fc10
   R-GeneR(x86-64) = 2.11.1-1.fc10
  =
   /bin/sh
   R
   R >= 2.6.0
   libR.so()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
   libstdc++.so.6(GLIBCXX_3.4.9)(64bit)

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R package registration).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Pierre-YvesChibon 2008-10-16 11:30:29 EDT
The upstream page is:
http://www.bioconductor.org/packages/2.3/bioc/html/GeneR.html
The sources are:
http://www.bioconductor.org/packages/2.3/bioc/src/contrib/GeneR_2.11.1.tar.gz

I will change the spec and update a new one, and correct R2spec for that bug :-D

hm I am not sure to understand correctly your :
> Other than not being able to download it, I see no problems with shipping the
> development bits if that's what you're willing to support.
Could you elaborate a bit more ?

Thanks for your review, let's wait for legal to see how it ends.

About the review I have made one for Alex (lancaster) not long ago (a R library), but when you see a review request for R libraries do not hesitate to ping me on irc or to put me as cc on the bug :)
Comment 4 Jason Tibbitts 2008-10-16 15:13:48 EDT
OK, I can now grab the upstream source, so that's fine.
  ed523485e92078f1a23cb59e739730cb161bff2cfe8e0b8b348019a7d43772e0  
  GeneR_2.11.1.tar.gz
Now we just await review of the CeCILL v1 license.
Comment 5 Tom "spot" Callaway 2008-10-22 17:09:36 EDT
CeCILL v1.1 is Free and GPL Compatible, updated on the Licensing page. Lifting FE-Legal.
Comment 6 Jason Tibbitts 2008-10-22 17:40:40 EDT
Great.  I think this is done, then.

APPROVED
Comment 7 Pierre-YvesChibon 2008-10-23 03:03:50 EDT
New Package CVS Request
=======================
Package Name: R-GeneR
Short Description: R for genes and sequences analysis
Owners: pingou
Branches: F-8 F-9
Comment 8 Kevin Fenzi 2008-10-23 16:28:06 EDT
cvs done.
Comment 9 Fedora Update System 2008-10-26 14:19:47 EDT
R-GeneR-2.11.1-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/R-GeneR-2.11.1-3.fc8
Comment 10 Fedora Update System 2008-10-26 14:19:50 EDT
R-GeneR-2.11.1-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/R-GeneR-2.11.1-5.fc9
Comment 11 Fedora Update System 2008-10-30 08:47:50 EDT
R-GeneR-2.11.1-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-GeneR'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9191
Comment 12 Fedora Update System 2008-10-30 08:56:25 EDT
R-GeneR-2.11.1-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-GeneR'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9298
Comment 13 Fedora Update System 2008-11-14 07:52:52 EST
R-GeneR-2.11.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-11-14 07:53:49 EST
R-GeneR-2.11.1-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.